From 8ef345cbfc8015a940e355542814ff1da1fb893e Mon Sep 17 00:00:00 2001
From: clayton craft <clayton@craftyguy.net>
Date: Wed, 14 Jul 2021 00:17:07 +0000
Subject: [PATCH] disable gcc label support on arm

https://github.com/Mercury-Language/mercury/issues/97
---
 configure | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/configure b/configure
index 135481d..333714a 100755
--- a/configure
+++ b/configure
@@ -9573,7 +9573,14 @@ case "$ac_cv_c_compiler_gnu" in yes)
             mercury_cv_gcc_labels=no
             ;;
         arm*-*)
-            CFLAGS_FOR_GOTOS="$CFLAGS_FOR_GOTOS -fomit-frame-pointer"
+            echo "gcc labels do not work on the arm" 1>&6
+            mercury_cv_asm_labels=no
+            mercury_cv_gcc_labels=no
+            ;;
+        aarch64-*)
+            echo "gcc labels do not work on the arm" 1>&6
+            mercury_cv_asm_labels=no
+            mercury_cv_gcc_labels=no
             ;;
         # On hppa64, ia64 and powerpc64 the test programs appear to work, but
         # larger programs die with an Illegal Instruction fault.
-- 
2.32.0

